Bug 565470 - [abrt] crash in gedit-1:2.28.3-1.fc12
[abrt] crash in gedit-1:2.28.3-1.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:d7dfc864
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-15 07:24 EST by Michael Setzer II
Modified: 2010-12-03 17:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 17:47:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.00 KB, text/plain)
2010-02-15 07:24 EST, Michael Setzer II
no flags Details

  None (edit)
Description Michael Setzer II 2010-02-15 07:24:34 EST
abrt 1.0.6 detected a crash.

architecture: i686
cmdline: gedit testu
component: gedit
executable: /usr/lib/gedit-2/plugins
kernel: 2.6.31.12-174.2.3.fc12.i686.PAE
package: gedit-1:2.28.3-1.fc12
release: Fedora release 12 (Constantine)

backtrace
-----
Summary: TBd7dfc864 parser_ctags.py:210:get_tag_at_line:TypeError: iter should be a GtkTreeIter

Traceback (most recent call last):
  File "/usr/lib/gedit-2/plugins/classbrowser/__init__.py", line 129, in next_tag
    windowdata["ClassBrowser"].jump_to_tag(direction=1)
  File "/usr/lib/gedit-2/plugins/classbrowser/browserwidget.py", line 233, in jump_to_tag
    iter, path = self.get_current_iter()
  File "/usr/lib/gedit-2/plugins/classbrowser/browserwidget.py", line 184, in get_current_iter
    path = self.parser.get_tag_at_line(model, doc, line)
  File "/usr/lib/gedit-2/plugins/classbrowser/parser_ctags.py", line 210, in get_tag_at_line
    return model.get_path(it)
TypeError: iter should be a GtkTreeIter

Local variables in innermost frame:
doc: <gedit.Document object at 0x934c48c (GeditDocument at 0x93b0828)>
self: <classbrowser.parser_ctags.CTagsParser instance at 0x934942c>
it: None
loopfunc: <function loopfunc at 0x934af44>
linenumber: 5
model: <gtk.TreeStore object at 0x934c39c (GtkTreeStore at 0x94234e0)>
Comment 1 Michael Setzer II 2010-02-15 07:24:36 EST
Created attachment 394302 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 18:05:37 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 17:47:51 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.